### Method

# Phosh DBusScreenshot complete_select_area

#### Declaration [src]

    void
    phosh_dbus_screenshot_complete_select_area (
      PhoshDBusScreenshot* object,
      GDBusMethodInvocation* invocation,
      gint x,
      gint y,
      gint width,
      gint height
    )

#### Description [src]

Helper function used in service implementations to finish handling invocations of the SelectArea() D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation`, you cannot use it afterwards.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`x`

  Type: `gint`

  Parameter to return.

`y`

  Type: `gint`

  Parameter to return.

`width`

  Type: `gint`

  Parameter to return.

`height`

  Type: `gint`

  Parameter to return.